SDL_GetDXGIOutputInfo(3)

NAME
SDL_GetDXGIOutputInfo - Get the DXGI Adapter and Output indices for the specified display.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetDXGIOutputInfo(SDL_DisplayID displayID, int *adapterIndex, int *outputIndex);

DESCRIPTION
The DXGI Adapter and Output indices can be passed to EnumAdapters and EnumOutputs respectively to get the objects required to create a DX10 or DX11 device and swap chain.

FUNCTION PARAMETERS

displayID
    the instance of the display to query.

adapterIndex
    a pointer to be filled in with the adapter index.

outputIndex
    a pointer to be filled in with the output index.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.